Skip to main content
Back to API List

Get Permission Entities

This API lists all permission entities associated with a connector.
FieldValue
MethodGET
Endpoint<host_url>/api/public/bot/:botId/connector/:connectorId/permission-entities
Content-Typeapplication/json
Authorizationauth: <JWT Token>
API ScopePermission Entity Management

Query Parameters

ParameterDescriptionMandatory
Bot IDProvide your application ID here.Yes
Connector IDUnique ID of the connector for which permission entities are requested.Yes
skipNumber of records to skip from the beginning of the response.No
limitMaximum number of records to return in the response.No

Response Parameters

ParameterDescription
Entity IdUnique identifier of the field used to create the permission entity.
nameName of the entity field as it appears in the source.
metaMeta information about the entity.
userIdsArray of users associated with the permission entity.
sourceTypeSource of the entity. Indicates the content source for which the permission entity was created (for example, googleDrive).
typeType of entity. Indicates the user permission type (for example, userCriteria for ServiceNow).

Sample Response

[
  {
    "_id": "fpe-82e99097-7532-506b-af42-363cbe5bb59c",
    "entityId": "john.doe@example.com",
    "meta": {},
    "name": "John",
    "userIds": [],
    "sourceType": "googleDrive",
    "type": "googleGroup"
  },
  {
    "_id": "fpe-5963cdfb-8401-5b90-8115-4c7624057733",
    "entityId": "2ftst48234234jf-ef",
    "meta": {},
    "name": "dev",
    "userIds": [],
    "sourceType": "serviceNow",
    "type": "usercriteria"
  }
]

Get Permission Entity by ID

This API returns the details of a specific permission entity, including the users associated with it.
FieldValue
MethodGET
Endpoint<host_url>/api/public/bot/:botId/connector/:connectorId/permission-entities/:entityId
Content-Typeapplication/json
Authorizationauth: <JWT Token>
API ScopePermission Entity Management

Query Parameters

ParameterDescriptionMandatory
Bot IDProvide your application ID here.Yes
Connector IDUnique ID of the connector for which permission entities are requested.Yes
Entity IdUnique ID of the permission entity.Yes

Sample Response

{
  "_id": "fpe-82e99097-7532-506b-af42-363cbe5bb59c",
  "entityId": "john.doe@example.com",
  "meta": {},
  "name": "John",
  "userIds": [],
  "sourceType": "googleDrive",
  "type": "googleGroup"
}

Update Permission Entity by ID

This API associates users with a permission entity. Use it to add new users to an entity.
FieldValue
MethodPUT
Endpoint<host_url>/api/public/bot/:botId/connector/:connectorId/permission-entities/:entityId
Content-Typeapplication/json
Authorizationauth: <JWT Token>
API ScopePermission Entity Management

Query Parameters

ParameterDescriptionMandatory
Stream IDProvide your application ID here.Yes
Connector IDUnique ID of the connector for which permission entities are to be updated.Yes
Entity IdUnique ID of the permission entity.Yes

Sample Request Body

{
  "userList": ["john@example.com"]
}

Delete Users from Permission Entity by ID

This API removes a user already associated with a permission entity.
FieldValue
MethodDELETE
Endpoint<host_url>/api/public/bot/:botId/connector/:connectorId/permission-entities/:entityId
Content-Typeapplication/json
Authorizationauth: <JWT Token>
API ScopePermission Entity Management

Query Parameters

ParameterDescriptionMandatory
Stream IDProvide your application ID here.Yes
Connector IDUnique ID of the connector for which permission entities are to be updated.Yes
Entity IdUnique ID of the permission entity.Yes

Sample Request Body

{
  "userList": ["john@example.com"]
}